> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.paymentkit.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.paymentkit.com/_mcp/server.

# Get Refund

GET https://app.paymentkit.com/api/{account_id}/payments/refunds/{refund_id}

Get a refund by ID.

Reference: https://docs.paymentkit.com/api-reference/api-reference/payments-refunds/get-refund

## Authentication

- `Authorization` header (bearer token, required)

## Servers

- `https://app.paymentkit.com` (Production, default)
- `https://staging.paymentkit.com` (Staging)

## Request

### Path parameters

- `refund_id` (string, required)
- `account_id` (string, required)

## Response

### 200

Successful Response

- `id` (string, required) — ID of the refund
- `account_id` (string, required) — ID of the account
- `charge_id` (string, required) — ID of the original charge
- `amount_atom` (integer, required) — Refund amount in atoms
- `currency` (enum, required) — Currency code (e.g., USD)
  - Allowed values: `aed`, `afn`, `all`, `amd`, `ang`, `aoa`, `ars`, `aud`, `awg`, `azn`, `bam`, `bbd`, `bdt`, `bgn`, `bhd`, `bif`, `bmd`, `bnd`, `bob`, `brl`, `bsd`, `btn`, `bwp`, `byn`, `bzd`, `cad`, `cdf`, `chf`, `clp`, `cny`, `cop`, `crc`, `cuc`, `cup`, `cve`, `czk`, `djf`, `dkk`, `dop`, `dzd`, `egp`, `ern`, `etb`, `eur`, `fjd`, `fkp`, `gbp`, `gel`, `ghs`, `gip`, `gmd`, `gnf`, `gtq`, `gyd`, `hkd`, `hnl`, `hrk`, `htg`, `huf`, `idr`, `ils`, `inr`, `iqd`, `irr`, `isk`, `jmd`, `jod`, `jpy`, `kes`, `kgs`, `khr`, `kmf`, `kpw`, `krw`, `kwd`, `kyd`, `kzt`, `lak`, `lbp`, `lkr`, `lrd`, `lsl`, `lyd`, `mad`, `mdl`, `mga`, `mkd`, `mmk`, `mnt`, `mop`, `mru`, `mur`, `mvr`, `mwk`, `mxn`, `myr`, `mzn`, `nad`, `ngn`, `nio`, `nok`, `npr`, `nzd`, `omr`, `pab`, `pen`, `pgk`, `php`, `pkr`, `pln`, `pyg`, `qar`, `ron`, `rsd`, `rub`, `rwf`, `sar`, `sbd`, `scr`, `sdg`, `sek`, `sgd`, `shp`, `sle`, `sos`, `srd`, `ssp`, `stn`, `svc`, `syp`, `szl`, `thb`, `tjs`, `tmt`, `tnd`, `top`, `try`, `ttd`, `twd`, `tzs`, `uah`, `ugx`, `usd`, `uyu`, `uzs`, `ves`, `vnd`, `vuv`, `wst`, `xaf`, `xcd`, `xof`, `xpf`, `yer`, `zar`, `zmw`, `zwl`
- `status` (enum, required) — Status of a refund throughout its lifecycle.
  - Allowed values: `pending`, `succeeded`, `failed`, `requires_action`, `cancelled`
- `created_at` (datetime, required)
- `updated_at` (datetime, required)
- `reason` (enum, optional, nullable) — Reason for initiating a refund.
  - Allowed values: `manual`, `duplicate`, `fraudulent`, `requested_by_customer`, `expired_uncaptured_charge`, `manual_out_of_band`
- `processor_refund_id` (string, optional, nullable) — Processor's refund ID (e.g., Stripe's re_xxx)
- `failure_code` (string, optional, nullable)
- `failure_message` (string, optional, nullable)
- `processed_at` (datetime, optional, nullable)
- `metadata` (map from string to any, optional, nullable)

## Examples

**Request**

```json
{}
```

**Response**

```json
{
  "id": "ref_8a7b6c5d4e3f2a1b",
  "account_id": "acc_1234567890abcdef",
  "charge_id": "ch_0987654321fedcba",
  "amount_atom": 250000,
  "currency": "usd",
  "status": "succeeded",
  "created_at": "2024-04-20T14:30:00Z",
  "updated_at": "2024-04-20T14:45:00Z",
  "reason": "requested_by_customer",
  "processor_refund_id": "re_1J2K3L4M5N6O7P8Q",
  "failure_code": null,
  "failure_message": null,
  "processed_at": "2024-04-20T14:45:00Z",
  "metadata": {
    "order_id": "ord_20240420_001",
    "customer_note": "Customer requested refund due to damaged item"
  }
}
```

**SDK Code**

```python
from payment_kit import PaymentKit

client = PaymentKit(
    token="YOUR_TOKEN_HERE",
)

client.payments_refunds.get_refund(
    account_id="account_id",
    refund_id="refund_id",
)

```

```javascript
const url = 'https://app.paymentkit.com/api/account_id/payments/refunds/refund_id';
const options = {
  method: 'GET',
  headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
  body: '{}'
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

	url := "https://app.paymentkit.com/api/account_id/payments/refunds/refund_id"

	payload := strings.NewReader("{}")

	req, _ := http.NewRequest("GET", url, payload)

	req.Header.Add("Authorization", "Bearer <token>")
	req.Header.Add("Content-Type", "application/json")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://app.paymentkit.com/api/account_id/payments/refunds/refund_id")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{}"

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://app.paymentkit.com/api/account_id/payments/refunds/refund_id")
  .header("Authorization", "Bearer <token>")
  .header("Content-Type", "application/json")
  .body("{}")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://app.paymentkit.com/api/account_id/payments/refunds/refund_id', [
  'body' => '{}',
  'headers' => [
    'Authorization' => 'Bearer <token>',
    'Content-Type' => 'application/json',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://app.paymentkit.com/api/account_id/payments/refunds/refund_id");
var request = new RestRequest(Method.GET);
request.AddHeader("Authorization", "Bearer <token>");
request.AddHeader("Content-Type", "application/json");
request.AddParameter("application/json", "{}", ParameterType.RequestBody);
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = [
  "Authorization": "Bearer <token>",
  "Content-Type": "application/json"
]
let parameters = [] as [String : Any]

let postData = JSONSerialization.data(withJSONObject: parameters, options: [])

let request = NSMutableURLRequest(url: NSURL(string: "https://app.paymentkit.com/api/account_id/payments/refunds/refund_id")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers
request.httpBody = postData as Data

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```